/* Zodiac - DisplayManager.h
 * A class that wraps various display functionality, such as opening
 * and closing a window.
 */

#ifndef Zodiac_DisplayManager_h
#define Zodiac_DisplayManager_h

#include <SDL.h>

class DisplayManager
{
private:
	SDL_Surface *m_surface;

public:
	DisplayManager();
	~DisplayManager();

	bool openDisplay(int width, int height, int bitDepth, bool fullscreen);
	void closeDisplay();

	int displayWidth() const;
	int displayHeight() const;
};

#endif // include guard
